package proxy.util;

import java.util.UUID;

public class GameProfile {
    private final UUID id;
    private final String name;
    private final PropertyMap properties = new PropertyMap();
    private boolean legacy;

    public GameProfile(UUID id, String name) {
        this.id = id;
        this.name = name;
    }

    public UUID getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public PropertyMap getProperties() {
        return this.properties;
    }

    public boolean equals(Object o) {
        if(this == o) {
            return true;
        } else if(o != null && this.getClass() == o.getClass()) {
            GameProfile that = (GameProfile)o;
            if(this.id != null) {
                if(!this.id.equals(that.id)) {
                    return false;
                }
            } else if(that.id != null) {
                return false;
            }

            if(this.name != null) {
                if(!this.name.equals(that.name)) {
                    return false;
                }
            } else if(that.name != null) {
                return false;
            }

            return true;
        } else {
            return false;
        }
    }

    public int hashCode() {
        int result = this.id != null?this.id.hashCode():0;
        result = 31 * result + (this.name != null?this.name.hashCode():0);
        return result;
    }

    public boolean isLegacy() {
        return this.legacy;
    }
}
