package proxy.util;

import proxy.nbt.NBTTagCompound;

public final class ItemStack {
	private final short id;
	private final byte size;
	private final short meta;
	private final NBTTagCompound tag;

	public ItemStack(short id, byte size, short meta, NBTTagCompound tag) {
		this.id = id;
		this.size = size;
		this.meta = meta;
		this.tag = tag;
	}

	public ItemStack copy() {
		return new ItemStack(this.id, this.size, this.meta, (NBTTagCompound)this.tag.copy());
	}

	public short getId() {
		return this.id;
	}
	
	public byte getSize() {
		return this.size;
	}

	public short getMeta() {
		return this.meta;
	}

	public NBTTagCompound getTag() {
		return this.tag;
	}
}
